import { Commitment } from '@solana/rpc-types';
import { Slot, U64UnsafeBeyond2Pow53Minus1 } from './common.js';
type GetBlockHeightApiResponse = U64UnsafeBeyond2Pow53Minus1;
export interface GetBlockHeightApi {
    /**
     * Returns the current block height of the node
     */
    getBlockHeight(config?: Readonly<{
        commitment?: Commitment;
        minContextSlot?: Slot;
    }>): GetBlockHeightApiResponse;
}
export {};
//# sourceMappingURL=getBlockHeight.d.ts.map