import { Commitment } from '@solana/rpc-types';
import { Slot } from './common.js';
type GetBlocksWithLimitApiResponse = Slot[];
export interface GetBlocksWithLimitApi {
    /**
     * Returns a list of confirmed blocks starting at the given slot
     * for up to `limit` blocks
     */
    getBlocksWithLimit(startSlot: Slot, limit: number, config?: Readonly<{
        commitment?: Exclude<Commitment, 'processed'>;
    }>): GetBlocksWithLimitApiResponse;
}
export {};
//# sourceMappingURL=getBlocksWithLimit.d.ts.map